<?xml version='1.0' encoding='UTF-8'?>
<!--
    Copyright (c) 2023, RTE (http://www.rte-france.com)
    See AUTHORS.txt
    All rights reserved.
    This Source Code Form is subject to the terms of the Mozilla Public
    License, v. 2.0. If a copy of the MPL was not distributed with this
    file, you can obtain one at http://mozilla.org/MPL/2.0/.
    SPDX-License-Identifier: MPL-2.0

    This file is part of Dynawo, an hybrid C++/Modelica open source suite
    of simulation tools for power systems.
-->
<dyn:dynamicModelsArchitecture xmlns:dyn="http://www.rte-france.com/dynawo">
 <!-- Machine with three windings, a governor, a voltage regulator and a transformer, used for the RVS test system. -->
 <dyn:modelicaModel id="GeneratorSynchronousThreeWindingsIeeeG1ScrxTfo">
    <dyn:unitDynamicModel id="generator" name="Dynawo.Electrical.Machines.OmegaRef.GeneratorSynchronous" initName="Dynawo.Electrical.Machines.OmegaRef.GeneratorSynchronousExt3W_INIT"/>
    <dyn:unitDynamicModel id="voltageRegulator" name="Dynawo.Electrical.Controls.Machines.VoltageRegulators.Standard.SCRX" initName="Dynawo.Electrical.Controls.Machines.VoltageRegulators.Standard.SCRX_INIT"/>
    <dyn:unitDynamicModel id="overExcitationLimiter" name="Dynawo.Electrical.Controls.Machines.VoltageRegulators.Standard.MAXEX2" initName="Dynawo.Electrical.Controls.Machines.VoltageRegulators.Standard.MAXEX2_INIT"/>
    <dyn:unitDynamicModel id="powerSystemStabilizer" name="Dynawo.Electrical.Controls.Machines.PowerSystemStabilizers.Standard.PssIEEE2B" initName="Dynawo.Electrical.Controls.Machines.PowerSystemStabilizers.BaseClasses_INIT.BasePss_INIT"/>
    <dyn:unitDynamicModel id="governor" name="Dynawo.Electrical.Controls.Machines.Governors.Standard.Steam.IEEEG1" initName="Dynawo.Electrical.Controls.Machines.Governors.Governor_INIT"/>
    <dyn:unitDynamicModel id="transformer" name="Dynawo.Electrical.Transformers.GeneratorTransformer" initName="Dynawo.Electrical.Transformers.GeneratorTransformer_INIT"/>
    <dyn:initConnect id1="voltageRegulator" var1="Efd0Pu" id2="generator" var2="Efd0Pu"/>
    <dyn:initConnect id1="voltageRegulator" var1="IRotor0Pu" id2="generator" var2="IRotor0Pu"/>
    <dyn:initConnect id1="voltageRegulator" var1="UStator0Pu" id2="generator" var2="UStator0Pu"/>
    <dyn:initConnect id1="voltageRegulator" var1="Ut0Pu" id2="generator" var2="U0Pu"/>
    <dyn:initConnect id1="overExcitationLimiter" var1="Ifd0Pu" id2="generator" var2="IRotor0Pu"/>
    <dyn:initConnect id1="powerSystemStabilizer" var1="PGen0Pu" id2="generator" var2="PGen0Pu"/>
    <dyn:initConnect id1="governor" var1="Pm0Pu" id2="generator" var2="Pm0Pu"/>
    <dyn:connect id1="voltageRegulator" var1="EfdPu" id2="generator" var2="efdPu.value"/>
    <dyn:connect id1="voltageRegulator" var1="IRotorPu" id2="generator" var2="IRotorPu.value"/>
    <dyn:connect id1="voltageRegulator" var1="UOelPu" id2="overExcitationLimiter" var2="UOelPu"/>
    <dyn:connect id1="voltageRegulator" var1="UPssPu" id2="powerSystemStabilizer" var2="UPssPu"/>
    <dyn:connect id1="voltageRegulator" var1="UStatorPu" id2="generator" var2="UStatorPu.value"/>
    <dyn:connect id1="voltageRegulator" var1="UtPu" id2="generator" var2="UPu"/>
    <dyn:connect id1="overExcitationLimiter" var1="IfdPu" id2="generator" var2="IRotorPu.value"/>
    <dyn:connect id1="powerSystemStabilizer" var1="omegaPu" id2="generator" var2="omegaPu.value"/>
    <dyn:connect id1="powerSystemStabilizer" var1="PGenPu" id2="generator" var2="PGenPu"/>
    <dyn:connect id1="governor" var1="omegaPu" id2="generator" var2="omegaPu.value"/>
    <dyn:connect id1="governor" var1="Pm1Pu" id2="generator" var2="PmPu.value"/>
    <dyn:connect id1="generator" var1="terminal" id2="transformer" var2="terminal2"/>
    <dyn:connect id1="generator" var1="switchOffSignal1" id2="transformer" var2="switchOffSignal1"/>
  </dyn:modelicaModel>
</dyn:dynamicModelsArchitecture>
